* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;

}

/* The header */
header {
    display: flex;
    justify-content: center;
    padding: 10px;
    font-size: 20px;
    font-weight: 800;
    background-color: rgb(241, 20, 141);
    height: 80px;
    line-height: 50px;
}

/* For the body */
body {
    background-color: rgb(6, 209, 244);
    max-width: 100%;
    max-height: 100dvh;
    height: 100dvh;
}

/* To hide certain divs when they are not needed */
.hide {
    display: none !important;
}

/* For the rules of the game */
#game-rules {
    font-size: 16px;
    background-color: rgb(241, 20, 141);
    border: 4px solid black;
    border-radius: 20px;
    box-shadow: 0 0 10px 2px black;
    margin: 20px 300px 50px 300px;
    padding: 10px 10px 10px 10px;
    display: flex;
    justify-content: center;
    text-align: center;
}

#game-rules p {
    font-size: 25px;
    color: black;
}

/* photo with a diagram of how to play */
#game-rules img {
    height: 300px;
    width: 300px;
}

/* container to hold the play button */
#play-btn-container {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

/* Play button to start the game */
#play-btn {
    font-size: 30px;
    color: rgb(6, 209, 244);
    background-color: black;
    border-radius: 40px;
    box-shadow: 0 0 10px 2px rgb(6, 209, 244);
    margin: 10px;
    padding: 10px;
    display: flex;
    justify-content: center;
    cursor: pointer;
}

/* Container to hold the main game content */
#main-game-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 0px;
}

#main-game-item {
    background-color: rgb(241, 20, 141);
    display: flex;
    flex-direction: column;
    align-content: space-evenly;
    border: 4px solid black;
    border-radius: 20px;
    padding: 40px 100px 40px 100px;
    margin-top: 40px;
    box-shadow: 0 0 10px 2px black;
}

/* For displaying the player/computer choice */
#score-area {
    font-size: 1.5rem;
    display: flex;
    justify-content: space-evenly;
}

#score-area h2 {
    padding: 50px;
    padding-bottom: 50px;
    color: black;
}

/* To display the winning result */
#winner-result {
    font-size: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    padding-bottom: 25px;
    color: black;
}

/* The game area with buttons to play */
#game-area {
    display: flex;
    justify-content: space-evenly;
    padding: 20px;
    padding-top: 55px;
}

.game-btn {
    font-size: 30px;
    color: rgb(6, 209, 244);
    background-color: black;
    border-radius: 40px;
    box-shadow: 0 0 10px 2px rgb(6, 209, 244);
    margin: 10px;
    padding: 10px;
    cursor: pointer;
}

/* For when you hover over a button */
.game-btn:hover {
    color: rgb(241, 20, 141);
    background-color: black;
    border: 4px solid rgb(241, 20, 141);
    transition: 0.8s;

}

/* For tracking the winner */
#win-streaks {
    font-size: 20px;
    display: flex;
    justify-content: space-around;
    align-content: center;
    margin-top: 20px;
    padding-top: 10px;
    color: black;
}

/* Container for when the game has ended */
#end-game-container {
    font-size: 20px;
    background-color: rgb(241, 20, 141);
    border: 4px solid black;
    border-radius: 20px;
    box-shadow: 0 0 10px 2px black;
    padding: 25px;
    margin: 50px 250px 20px 250px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

/* Image with the characters of the game */
#end-game-img img {
    padding: 20px;
    height: 300px;
    width: 300px;
    border-radius: 200px;
}

/* Play button to restart the game */
#play-btn2 {
    font-size: 30px;
    color: rgb(6, 209, 244);
    background-color: black;
    border-radius: 40px;
    box-shadow: 0 0 10px 2px rgb(6, 209, 244);
    margin: 10px;
    padding: 10px;
    display: flex;
    justify-content: center;
    cursor: pointer;
}

/* Span Ids for adding color to the player/computers choice with Javascript */
#player {
    color: rgb(4, 224, 96);
}

#computer {
    color: rgb(6, 209, 244);
}

/* Span Ids for adding color to the player/computers win streaks with Javascript */
#win-streak-p {
    color: rgb(4, 224, 96);
}

#win-streak-c {
    color: rgb(6, 209, 244);
}

/* Media queries */

/* Tablet screens */
@media screen and (min-width: 768px) and (max-width: 1020px) {

    /* The header */
    header {
        padding-top: 15px;
        font-size: 15px;
        line-height: 50px;
    }

    /* For the rules of the game */
    #game-rules {
        font-size: 20px;
        margin: 80px 60px 90px 60px;
        padding: 10px;
    }

    #game-rules h2 {
        font-size: 25px;
    }

    /* Button to start the game */
    #play-btn {
        font-size: 25px;
        margin: 10px;
        padding: 10px;
        display: flex;
        justify-content: center;
    }

    /* Container to hold the main game content */
    #main-game-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding: 20px;
    }

    #main-game-item {
        display: flex;
        flex-direction: column;
        align-content: space-evenly;
        border-radius: 20px;
        padding: 30px 120px 30px 120px;
    }

    /* For displaying the player/computers choice */
    #score-area {
        font-size: 18px;
        display: flex;
        justify-content: space-around;
        margin: 10px;
    }

    #score-area h2 {
        padding: 0px 10px 0px 10px;
    }

    /* For displaying the winner result */
    #winner-result {
        font-size: 20px;
        display: flex;
        justify-content: center;
        align-items: center;
        padding-top: 25px;
    }

    /* Where the main game is played */
    #game-area {
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        padding: 20px;
    }

    /* Buttons to play the game */
    .game-btn {
        font-size: 25px;
        border-radius: 25px;
        margin: 5px;
        padding: 10px 10px;
    }

    /* Hover effect for when you hover over the game buttons */
    .game-btn:hover {
        font-size: 23px;
        border-radius: 25px;
        transition: 0.5s;
    }

    /* The player/computers win streak */
    #win-streaks {
        display: flex;
        justify-content: space-between;
        font-size: 14px;
    }

    /* The container once the game has finished */
    #end-game-container {
        padding: 10px;
        margin: 62px 60px 62px 60px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
    }

    #end-game-container p {
        padding-top: 8px;
        font-size: 16px;
    }

    #end-game-img img {
        padding: 20px;
        height: 250px;
        width: 250px;
        border-radius: 150px;
    }

    /* button to play again */
    #play-btn2 {
        font-size: 18px;
        border-radius: 40px;
        margin: 10px;
        padding: 10px;
        margin-bottom: 20px;
        display: flex;
        justify-content: center;
    }
}

/* Mobile screens */
@media screen and (max-width: 760px) {

    /* The header */
    header {
        font-size: 10px;
        line-height: 60px;
    }

    /* For the rules of the game */
    #game-rules {
        font-size: 12px;
        margin: 40px 20px 0px 20px;
        padding: 14px;
    }

    #game-rules p {
        font-size: 15px;
    }

    #game-rules img {
        height: 200px;
        width: 200px;
    }

    /* Button to start the game */
    #play-btn {
        font-size: 20px;
        margin: 10px;
        padding: 10px;
        display: flex;
        justify-content: center;
    }

    /* Container to hold the main game content */
    #main-game-container {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }

    #main-game-item {
        display: flex;
        flex-direction: column;
        align-content: space-evenly;
        border-radius: 30px;
        padding: 30px 20px 30px 20px;
        margin: 15px;
    }

    /* For displaying the player/computers choice */
    #score-area {
        font-size: 14px;
        display: flex;
        justify-content: space-evenly;
        padding-left: 25px;
    }

    #score-area h2 {
        padding: 5px 15px 5px 15px;
    }

    /* For displaying the winner result */
    #winner-result {
        font-size: 15px;
        display: flex;
        justify-content: center;
        align-items: center;
        padding-top: 30px;
    }

    /* for the main game area */
    #game-area {
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        padding: 20px;
    }

    /* For the buttons to play the game */
    .game-btn {
        font-size: 15px;
        color: rgb(6, 209, 244);
        background-color: black;
        border-radius: 25px;
        box-shadow: 0 0 5px 1px rgb(6, 209, 244);
        margin: 5px;
        padding: 10px 10px;
    }

    /* Hover effect for when you hover over the buttons */
    .game-btn:hover {
        font-size: 13px;
        border-radius: 25px;
        transition: 0.5s;
    }

    /* The player/computers win streak */
    #win-streaks {
        font-size: 14px;
    }

    /* The container once the game has finished */
    #end-game-container {
        padding: 10px;
        margin: 62px 20px 62px 20px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        text-align: center;
    }

    #end-game-container p {
        padding-top: 8px;
        font-size: 12px;
    }

    #end-game-img img {
        padding: 20px;
        height: 225px;
        width: 250px;
    }

    /* button to play again */
    #play-btn2 {
        font-size: 12px;
        border-radius: 40px;
        margin: 10px;
        padding: 10px;
        margin-bottom: 20px;
        display: flex;
        justify-content: center;
    }
}